### Function

# FwupdPlugin bytes_compare

#### Declaration [src]

    gboolean
    fu_bytes_compare (
      GBytes* bytes1,
      GBytes* bytes2,
      GError** error
    )

#### Description [src]

Compares the buffers for equality.

Available since: | 1.8.2

#### Parameters

`bytes1` | `GBytes`
| A data blob.
| The data is owned by the caller of the function.
`bytes2` | `GBytes`
| Another `GBytes`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `bytes1` and `bytes2` are identical.